Description

I have problems using using plugin manager since r7858. Sometimes I have to click several times on the check box of a plugin to

enable/disable it. Moreover now one line of the list takes more space than necessary.

It would be good to convert the list from QTableView to QTreeView which is more appropriate substitution of old Q3ListView.

History

#1 - 2008-01-16 06:03 AM - Tim Sutton

Martin did you mean QListView actually in your original but report? Fernando could you look at Martins comments and try to address them?

Many thanks

Tim

#2 - 2008-01-16 06:25 AM - Martin Dobias

Replying to [comment:1 timlinux]:

Martin did you mean QListView actually in your original but report?

No, I mean QTreeView... from Qt4.3 documentation of QListView:

This view does not display horizontal or vertical headers; to display a list of items with a horizontal header, use QTreeView instead.

... since we want a header, QTreeView is the class to use. For example, plugin installer also uses it for the list of plugins

Martin

#3 - 2008-01-16 09:46 AM - Magnus Homann

Unsure iof this is relatedm, but I have issues unchecking/checking in legend view (turning layer on off). Must click more than once sometimes.

#4 - 2008-01-16 03:43 PM - Fernando Pacheco -
Ok. I'm working to solve the problem. I really think that QTableView (with a checkbox in a cell) is the best choice for this user interface because we don't

need subitems for each item (QTreeView). One solution would be to get the click on this item to enabled or disable the item. I will try. Regards. Fernando.

#5 - 2008-01-16 03:55 PM - Fernando Pacheco -

I think is solved. Now you can click the text (or the cell) with the checkbox to enable o disabled the plugin (like a checkbox!). I have attached the diff with

the patch. Thanks wonder!. Regards. Fernando.

#6 - 2008-01-16 05:46 PM - Tim Sutton

- Status changed from Open to Closed

- Resolution set to fixed

Hi. I've applied Fernandos 'click' fix as commit:d9960cf0 (SVN r7990).I think table view can be used and still have better useability by using the

QTableView::resizeRowToContents() call. Im not sure how this can be used easily with QAbstractListModel but will be something worth investigating in the

future. I've attached a screenshot to illustrate this.

For now I think the updates Fernando give equivalent functionality to the 0.9.1 plugin manager while discarding the qt3 deps, so Im closing this ticket.

Tim

#7 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
